summaryrefslogtreecommitdiff
path: root/firefox.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'firefox.sh.in')
-rw-r--r--firefox.sh.in5
1 files changed, 4 insertions, 1 deletions
diff --git a/firefox.sh.in b/firefox.sh.in
index 6fc51b2..ca121a0 100644
--- a/firefox.sh.in
+++ b/firefox.sh.in
@@ -70,10 +70,13 @@ GETENFORCE_FILE="/usr/sbin/getenforce"
##
## Enable Wayland backend?
##
-if __DEFAULT_WAYLAND__ && ! [ $MOZ_DISABLE_WAYLAND ]; then
+if ! [ $MOZ_DISABLE_WAYLAND ]; then
if [ "$XDG_CURRENT_DESKTOP" == "GNOME" ]; then
export MOZ_ENABLE_WAYLAND=1
fi
+ if __DEFAULT_WAYLAND__ && [ "$XDG_SESSION_TYPE" = "wayland" ]; then
+ export MOZ_ENABLE_WAYLAND=1
+ fi
fi
##
bgstack15